//
//  ENNIOAppDelegate.m
//  NCC Ambience
//
//  Created by Jannis Leidel on 25.03.12.
//  Copyright (c) 2012 enn.io UG (haftungsbeschränkt). All rights reserved.
//

#import "ENNIOAppDelegate.h"

@implementation ENNIOAppDelegate

@synthesize window = _window;

@synthesize sound;

-(void)awakeFromNib {
    NSBundle *bundle = [NSBundle mainBundle];
    notificationCenter = [NSNotificationCenter defaultCenter];
    statusItem = [[[NSStatusBar systemStatusBar] statusItemWithLength:NSVariableStatusItemLength] retain];
    filePath = [[NSBundle mainBundle] pathForResource:@"ambience" ofType:@"mp3"];
    statusImage = [[NSImage alloc] initWithContentsOfFile: [bundle pathForResource: @"statusIcon" ofType: @"png"]];
    statusAltImage = [[NSImage alloc] initWithContentsOfFile: [bundle pathForResource: @"statusIconAlt" ofType: @"png"]];
 
    [statusItem setImage:statusImage];
    [statusItem setAlternateImage:statusAltImage];
    [statusItem setMenu:statusMenu];
    [statusItem setHighlightMode:YES];

    sound = [[QTMovie alloc] initWithFile:filePath error:nil];
    [sound play];
    [sound setAttribute:[NSNumber numberWithBool:YES] forKey: @"QTMovieLoopsAttribute"];
    [notificationCenter addObserver:self
                        selector:@selector(playAgain:)
                        name:QTMovieDidEndNotification
                        object:self];
    playAmbience = YES;
}

- (void)playAgain:(NSNotification*)note
{
    [sound play];
}

- (IBAction)toggleAmbience:(id)sender {
    if (playAmbience == YES) {
        playAmbience = NO;
        [sound setMuted: YES];
    } else {
        playAmbience = YES;
        [sound setMuted: NO];
    }
}

- (IBAction)quit:(id)sender {
    [sound stop];
    exit(0);
}

- (void) dealloc {
    [statusImage release];
    [statusAltImage release];
    [super dealloc];
}

@end
